/*
 * vfdclock - a simple clock program which outputs to a
 *            Matrix Orbital VFD2041 vacuum fluorescent display.
 *
 * This program is in the public domain -- do whatever you want with it.
 *
 * David Simmons
 * http://davidsimmons.com/
 * July 1, 2010
 */

#ifndef _VFD_H
#define _VFD_H

typedef struct vfd_struct *vfd_t;

int vfd_init(vfd_t *vfd_pointer);
int vfd_close(vfd_t vfd);
int vfd_write(vfd_t vfd, const char *message);
int vfd_clear(vfd_t vfd);
int vfd_brightness(vfd_t vfd, int level);
int vfd_cursor_position(vfd_t vfd, int row, int column);
int vfd_cursor_home(vfd_t vfd);
int vfd_cursor_blink(vfd_t vfd, int enable);
int vfd_cursor_left(vfd_t vfd);
int vfd_cursor_right(vfd_t vfd);
int vfd_clock(vfd_t vfd, int hours, int minutes);

#endif /* _VFD_H */

