/*
 * vfdclock - a simple clock program which outputs to a
 *            Matrix Orbital VFD2041 vacuum fluorescent display.
 *
 * This program is in the public domain -- do whatever you want with it.
 *
 * David Simmons
 * http://davidsimmons.com/
 * July 1, 2010
 */

#include <termios.h>
#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdlib.h>
#include <sys/signal.h>
#include <sys/types.h>
#include <time.h>

#include "vfd.h"

int main(int argc, char **argv) {
    int i;

    vfd_t vfd;
    vfd_init(&vfd);
    vfd_clear(vfd);
    vfd_brightness(vfd, 3);

    struct timeval tv;
    struct tm *tm;
    int h;

    while (1) {
        gettimeofday(&tv, NULL);
        tm = localtime(&tv.tv_sec);
        //printf("hours = %d mins = %d secs = %d\n", tm->tm_hour, tm->tm_min, tm->tm_sec);
        if (tm->tm_hour == 0) {
            tm->tm_hour = 12;
        } else if (tm->tm_hour > 12) {
            tm->tm_hour = tm->tm_hour - 12;
        }
        vfd_clock(vfd, tm->tm_hour, tm->tm_min);
        useconds_t delay = (1000000 - tv.tv_usec) + (60 - tm->tm_sec - 1)*1000000;
        usleep(delay);
    }

    vfd_close(vfd);
}

